I have had the same issue with gdm not starting when splashy is installed.

I have checked line 178 of /etc/lsb-base-logging.sh but in the version 
installed on my system this line is a comment so I can not see how, in my case, 
that line could be causing the error.

The failure mechanism seems to be that /etc/init.d/gdm has performed 'set -e' 
so that any command that fails, even if there is no error message or the 
message is surpressed by re-directing to /dev/null, will cause /etc/init.d/gdm 
to stop executing at that point.  With splashy installed and its corresponding 
/etc/lsb-base-logging.sh the log_daemon_msg subroutine is failing and thus 
aborting /etc/init.d/gdm.

I haven't had a chance to work through all the commands splashy is running but 
perhaps there are some assumptions there that don't hold true.  For example, in 
my case, splashy was installed because it was recommended by uswsusp and is 
therefore used for the suspend/resume progress screen but I have not yet got 
around to setting it up for normal startup/shutdown.

Anyway, for now, I have been able to work around this patching 
/etc/lsb-base-logging.sh as follows:

diff -u lsb-base-logging-orig.sh lsb-base-logging.sh 
--- lsb-base-logging-orig.sh    2007-12-22 17:09:34.000000000 +0000
+++ lsb-base-logging.sh 2007-12-22 17:03:52.000000000 +0000
@@ -118,7 +118,7 @@
 
     # Stop splashy on *dm
     case $2 in 
-       ?dm) stop_splashy;;
+       ?dm) stop_splashy || return 0 ;;
     esac
 }

So even if attempting to stop splashy fails gdm still starts.

HTH,
Steve.



-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]

Reply via email to